/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Avril 2005                     */

public class Position {
  public float x;
  public float y;

  /* Trois constructeurs                                  */
  /* - sans parametre -> position a l'origine             */
  /* - avec deux parametres reels -> x et y               */
  /* - avec un parametre de classe Position -> position   */

  public Position() {
    x = 0.0F;
    y = 0.0F;
  }

  public Position(float xi,float yi) {
    x = xi;
    y = yi;
  }

  public Position(Position p) {
    x = p.x;
    y = p.y;
  }
  
  /* Methode de calcul de la distance                     */
  /* a une autre position                                 */
  
  public float distance(Position p) {
    double dx = x - p.x;
    double dy = y - p.y;
    return((float) Math.sqrt(dx*dx+dy*dy));
  }
  
  /* Methode de test de l'inclusion dans un cercle        */
  
  public boolean dansCercle(Cercle c) {
    return(distance(c.c) <= c.r);
  }
  
  /* Surcharge de la methode toString                     */

  public String toString() {
    return(x+" "+y);
  }
}